Subject: Re: kswapd0: page allocation failure: order:0, mode:0x820(GFP_ATOMIC), nodemask=(null),cpuset=/,mems_allowed=0 (Kernel v6.5.9, 32bit ppc)

From: Erhard Furtner <[email-masked]>
Date: Thu, 6 Jun 2024 01:04:31 +0200

On Tue, 4 Jun 2024 20:03:27 -0700
Yosry Ahmed <[email-masked]> wrote:

> Could you check if the attached patch helps? It basically changes the
> number of zpools from 32 to min(32, nr_cpus).

Thanks! The patch does not fix the issue but it helps.

Means I still get to see the 'kswapd0: page allocation failure' in the dmesg, a 'stress-ng-vm: page allocation failure' later on, another kswapd0 error later on, etc. _but_ the machine keeps running the workload, stays usable via VNC and I get no hard crash any longer.

Without patch kswapd0 error and hard crash (need to power-cycle) <3min. With patch several kswapd0 errors but running for 2 hrs now. I double checked this to be sure.

The patch did not apply cleanly on v6.9.3 so I applied it on v6.10-rc2. dmesg of the current v6.10-rc2 run attached.

Regards,
Erhard